%global vim_dirname vim/vimfiles/spell
%global nvim_dirname nvim/runtime/spell

Name: nvim-spl-fr
Summary: French spl dictionaries for neovim based on hunspell
Version: 7.0
Release: 1%{?dist}
Source: https://gitlab.com/ci-dict/hunspell-fr/-/archive/%{version}/hunspell-fr-%{version}.tar.gz

URL: https://www.dicollecte.org/home.php?prj=fr
License: MPLv2.0
BuildArch: noarch

Requires: neovim
BuildRequires: neovim
Requires(post): %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives

%description
French spl dictionaries for neovim based on hunspell

%prep
%autosetup -n hunspell-fr-%{version}

%build
for i in README.adoc README_dict_fr.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
lang="fr"
mkdir -v -p $RPM_BUILD_ROOT/%{_datadir}/%{nvim_dirname}
mkdir -v -p $RPM_BUILD_ROOT/%{_datadir}/%{vim_dirname}
variantes="classique reforme1990 toutesvariantes"
	for variant in $variantes ; do
		mkdir ./$lang_$variant
		mv -v "$lang-$variant.dic" ./$lang_$variant/
		mv -v "$lang-$variant.aff" ./$lang_$variant/
		nvim -es +"mkspell! $RPM_BUILD_ROOT/%{_datadir}/%{nvim_dirname}/$lang-$variant.utf-8.spl ./$lang_$variant/$lang-$variant.dic"
		nvim -es +"mkspell! $RPM_BUILD_ROOT/%{_datadir}/%{vim_dirname}/$lang-$variant.utf-8.spl ./$lang_$variant/$lang-$variant.dic"
	done

%post
lang="fr"
variantes="classique reforme1990 toutesvariantes"
priority=0
for variant in $variantes ; do
	priority=$[priority +10]
	%{_sbindir}/alternatives --install %{_datadir}/%{nvim_dirname}/$lang.utf-8.spl nvim-spl-$lang %{_datadir}/%{nvim_dirname}/$lang-$variant.utf-8.spl $priority
	%{_sbindir}/alternatives --install %{_datadir}/%{vim_dirname}/$lang.utf-8.spl vim-spl-$lang %{_datadir}/%{vim_dirname}/$lang-$variant.utf-8.spl $priority
done
%{_sbindir}/alternatives --auto nvim-spl-$lang
%{_sbindir}/alternatives --auto vim-spl-$lang

%postun
if [ $1 -eq 0 ] ; then
%{_sbindir}/alternatives --list
%{_sbindir}/alternatives --remove-all nvim-spl-$lang
%{_sbindir}/alternatives --remove-all vim-spl-$lang
fi

%files
%doc README_dict_fr.txt
%{_datadir}/%{nvim_dirname}/fr-*
%{_datadir}/%{vim_dirname}/fr-*
%ghost %{_datadir}/%{nvim_dirname}/$lang.utf-8.spl
%ghost %{_datadir}/%{vim_dirname}/$lang.utf-8.spl

%changelog
* Wed Sep 21 2022 Boyd Kelly <boyd.kelly@coastsystems.net> - 7.0-21
- add $lang variable and tweaks
